@import "pref";

.dwfe-action-choose-file {
  font-size: $font-size-x2;
}

.dwfe-action-choose-file__btn-wrap {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
}

.dwfe-action-choose-file__btn {
  flex-shrink: 0;
  margin-right: 15px;
}

.dwfe-action-choose-file__filename-wrap {
  align-self: stretch;

  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}

.dwfe-action-choose-file__filename {
  @include reset-margin-padding();
  font-style: italic;
}

.dwfe-action-choose-file__filename--error {
  color: $color-danger;
}

.dwfe-action-choose-file__info {
  margin-bottom: 0;
}


//
// ADAPTIVE
//
@include media-tablet {

  .dwfe-action-choose-file__btn {
    margin-right: 25px;
  }
}
